a$ = "0123456789ABCDEF"
b$ = "         db  "
c$ = "starlist db  "

PRINT ";";
RANDOMIZE
PRINT "; random stars list:1st colour intensity&y,x variation from real"

 PRINT c$;
 q = 0

 FOR z = 0 TO 511

     r = INT(RND * 0) + 0
     y = INT(RND * 4) + 1

     PRINT q$; y$; MID$(a$, r + 1, 1); MID$(a$, y + 1, 1); "h,";

     e = 255: t = 0
     x = INT(RND * e + t): PRINT ;

     y = INT(x / 16)

     PRINT q$; "0"; y$; MID$(a$, y + 1, 1); MID$(a$, (x / 16 - INT(x / 16)) * 16 + 1, 1); "h";

    q = q + 1
    IF q < 4 THEN PRINT ","; : GOTO 90
    IF z = 511 THEN GOTO 90
    PRINT : PRINT b$;
    q = 0
90
 NEXT z

